// ScheduleDowntime.h: interface for the CScheduledDowntime class.
//
//////////////////////////////////////////////////////////////////////

#pragma once

#include "EquipState.h"

class CScheduledDowntime : public CEquipState
{
public:
    //  default constructor
    CScheduledDowntime();

    //  default destructor
    virtual ~CScheduledDowntime();

    //  set all scheduled downtime equipment state
    void SetEquipState(int iEvt, int iState);

    //  get total scheduled downtime equipment time
    LONGLONG GetTotalTime();

    enum
    {
        SCHEDULED_MAINT_DELAY,
        PRODUCTION_TEST,
        PREVENTIVE_MAINT,
        SCHEDULED_CHANGE_OF_CONSUMABLES_CHEMICALS,
        SETUP,
        SCHEDULED_FACILITIES_RELATED,
        MAX_SCHEDULED_EQUIP_STATE,
    };
};
